import 'package:flutter/material.dart';
import 'package:wow_views/common/color.dart';
import 'package:wow_views/common/text_style.dart';
import 'package:wow_views/common/theme/app_bar_theme.dart';
import 'package:wow_views/common/theme/card_theme.dart';
import 'package:wow_views/common/theme/checkbox_theme.dart';
import 'package:wow_views/common/theme/icon_theme.dart';
import 'package:wow_views/common/theme/input_decoration_theme.dart';
import 'package:wow_views/common/theme/list_title_theme.dart';
import 'package:wow_views/common/theme/progress_indicator_theme.dart';
import 'package:wow_views/common/theme/radio_theme.dart';
import 'package:wow_views/common/theme/tabbar_theme.dart';
import 'package:wow_views/common/theme/text_button_theme.dart';
import 'package:wow_views/common/theme/text_selection_theme.dart';
import 'text_theme.dart';

ThemeData bds8xThemeData({
  required String fontFamily,
}) {
  WowTextStyle.initTextTheme(bds8xTextTheme);
  return ThemeData(
      appBarTheme: bds8xAppBarTheme,
      fontFamily: fontFamily,
      textTheme: bds8xTextTheme,
      textSelectionTheme: bds8xTextSeletionTheme,
      primaryColor: Bds8xColor.blue367E,
      indicatorColor: Bds8xColor.blue367E,
      scaffoldBackgroundColor: Bds8xColor.white,
      inputDecorationTheme: bds8xInputDecorationTheme,
      iconTheme: bds8xIconTheme,
      progressIndicatorTheme: bds8xProgressIndicatorTheme,
      colorScheme: const ColorScheme.light(
        background: Bds8xColor.white,
      ),
      textButtonTheme: bds8xTextButtonTheme);
}

ThemeData tbtThemeData({
  required String fontFamily,
}) {
  WowTextStyle.initTextTheme(tbtTextTheme);
  return ThemeData(
    fontFamily: fontFamily,
    appBarTheme: tbtAppBarTheme,
    textTheme: tbtTextTheme,
    textSelectionTheme: tbtTextSeletionTheme,
    colorScheme: const ColorScheme.light(
      background: TBTColor.whiteFFFF,
    ),
    primaryColor: TBTColor.orangeAB8E,
    indicatorColor: TBTColor.orangeAB8E,
    scaffoldBackgroundColor: TBTColor.whiteFFFF,
    inputDecorationTheme: tbtInputDecorationTheme,
    iconTheme: tbtIconTheme,
    progressIndicatorTheme: tbtProgressIndicatorTheme,
    tabBarTheme: tbtTabbarTheme,
    radioTheme: tbtRadioTheme,
    checkboxTheme: tbtCheckboxTheme,
    listTileTheme: tbtListTitleTheme,
    cardTheme: tbtCardTheme,
    buttonTheme: const ButtonThemeData(),
    elevatedButtonTheme: const ElevatedButtonThemeData(
      style: ButtonStyle(),
    ),
  );
}
